-- MySQL Script generated by MySQL Workbench
-- 09/17/16 12:29:01
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema app_transporte_v1
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema app_transporte_v1
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `app_transporte_v1` DEFAULT CHARACTER SET utf8 ;
USE `app_transporte_v1` ;

-- -----------------------------------------------------
-- Table `app_transporte_v1`.`ciudades`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `app_transporte_v1`.`ciudades` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(200) NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `app_transporte_v1`.`paises`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `app_transporte_v1`.`paises` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(200) NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `app_transporte_v1`.`estados`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `app_transporte_v1`.`estados` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(200) NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `app_transporte_v1`.`empresas`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `app_transporte_v1`.`empresas` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `correo` VARCHAR(300) NULL,
  `contrasenia` TEXT NULL,
  `descripcion` VARCHAR(500) NULL,
  `nombre` VARCHAR(200) NULL,
  `telefono` VARCHAR(45) NULL,
  `direccion` VARCHAR(300) NULL,
  `RUC` VARCHAR(100) NULL DEFAULT NULL,
  `idCiudad` INT NOT NULL,
  `idPais` INT NOT NULL,
  `idEstado` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_empresas_ciudad1_idx` (`idCiudad` ASC),
  INDEX `fk_empresas_pais1_idx` (`idPais` ASC),
  INDEX `fk_empresas_estado1_idx` (`idEstado` ASC),
  UNIQUE INDEX `correo_UNIQUE` (`correo` ASC),
  CONSTRAINT `fk_empresas_ciudad1`
    FOREIGN KEY (`idCiudad`)
    REFERENCES `app_transporte_v1`.`ciudades` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_empresas_pais1`
    FOREIGN KEY (`idPais`)
    REFERENCES `app_transporte_v1`.`paises` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_empresas_estado1`
    FOREIGN KEY (`idEstado`)
    REFERENCES `app_transporte_v1`.`estados` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `app_transporte_v1`.`vehiculos`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `app_transporte_v1`.`vehiculos` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `descripcion` VARCHAR(200) NULL,
  `placa` VARCHAR(45) NOT NULL,
  `idEmpresa` INT NOT NULL,
  `longitud` FLOAT NULL,
  `latitud` FLOAT NULL,
  `velocidad` FLOAT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `placa_UNIQUE` (`placa` ASC),
  INDEX `fk_vehiculos_empresas1_idx` (`idEmpresa` ASC),
  CONSTRAINT `fk_vehiculos_empresas1`
    FOREIGN KEY (`idEmpresa`)
    REFERENCES `app_transporte_v1`.`empresas` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `app_transporte_v1`.`rutas`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `app_transporte_v1`.`rutas` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `descripcion` VARCHAR(45) NULL,
  `ruta` BLOB NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `app_transporte_v1`.`detalleRuta`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `app_transporte_v1`.`detalleRuta` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `idEmpresa` INT NOT NULL,
  `idRuta` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_Empresas_has_Rutas_Rutas1_idx` (`idRuta` ASC),
  INDEX `fk_Empresas_has_Rutas_Empresas_idx` (`idEmpresa` ASC),
  CONSTRAINT `fk_Empresas_has_Rutas_Empresas`
    FOREIGN KEY (`idEmpresa`)
    REFERENCES `app_transporte_v1`.`empresas` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Empresas_has_Rutas_Rutas1`
    FOREIGN KEY (`idRuta`)
    REFERENCES `app_transporte_v1`.`rutas` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `app_transporte_v1`.`usuarios`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `app_transporte_v1`.`usuarios` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(100) NULL,
  `apellidos` VARCHAR(100) NULL,
  `alias` VARCHAR(100) NULL,
  `contrasenia` TEXT NULL,
  `correo` VARCHAR(200) NULL,
  `tipo` ENUM('E', 'R') NULL DEFAULT 'R',
  `foto` TEXT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `correo_UNIQUE` (`correo` ASC))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `app_transporte_v1`.`valoraciones`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `app_transporte_v1`.`valoraciones` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `puntuacion` INT(5) NULL,
  `descripcion` VARCHAR(200) NULL,
  `fecha` DATETIME NULL,
  `idUsuario` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_valoraciones_usuarios1_idx` (`idUsuario` ASC),
  CONSTRAINT `fk_valoraciones_usuarios1`
    FOREIGN KEY (`idUsuario`)
    REFERENCES `app_transporte_v1`.`usuarios` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `app_transporte_v1`.`detalleValoracion`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `app_transporte_v1`.`detalleValoracion` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `idEmpresa` INT NOT NULL,
  `idValoracion` INT NOT NULL,
  INDEX `fk_empresas_has_valoracion_valoracion1_idx` (`idValoracion` ASC),
  INDEX `fk_empresas_has_valoracion_empresas1_idx` (`idEmpresa` ASC),
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_empresas_has_valoracion_empresas1`
    FOREIGN KEY (`idEmpresa`)
    REFERENCES `app_transporte_v1`.`empresas` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_empresas_has_valoracion_valoracion1`
    FOREIGN KEY (`idValoracion`)
    REFERENCES `app_transporte_v1`.`valoraciones` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `app_transporte_v1`.`fotosEmpresa`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `app_transporte_v1`.`fotosEmpresa` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `fotos` TEXT NULL,
  `idEmpresas` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_fotosEmpresa_empresas1_idx` (`idEmpresas` ASC),
  CONSTRAINT `fk_fotosEmpresa_empresas1`
    FOREIGN KEY (`idEmpresas`)
    REFERENCES `app_transporte_v1`.`empresas` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
